# Ubuntu Continuous Integration Engine
# Copyright 2013, 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# There are different ways to load a test suite but they are all around:
# - load tests from a python module,
# - load tests from a python file imported so it becomes a python module,
# - load tests from a file tree.
# 
# django does:
# - import <...django thing>/<module>/tests/__init__.py
# - load the tests defined in the module imported above
# 
# I.e. any python file under tests/ is deliberately ignored.
# 
# So the recommended hack^W *syntax* to have tests loaded in django is to
# use 'from <test_module> import *' (one more from <module> import
# <problem> ;)
# 
# This way, all test modules symbols (classes, function, whatever doesn't
# collide (ha ha, good luck with that last one) are defined in a single
# python module from which all tests are loaded.
# 
# It's up to the dev to declare added python files into __init__.py.
# 
# django test discovery is a mix of automation and manual definitions ;)

from test_commands import *
from test_full_read_api import *
from test_models import *
from test_read_api import *
from test_user_info import *
from test_write_api import *


def load_tests(loader, std_tests, pattern):
    # All tests have been imported already
    return std_tests
